<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <PackageId>DigitalData.Core.Infrastructure.AutoMapper</PackageId>
    <Version>1.0.2</Version>
    <Authors>Digital Data GmbH</Authors>
    <Company>Digital Data GmbH</Company>
    <Product>DigitalData.Core.Infrastructure.AutoMapper</Product>
    <Description>This package provides AutoMapper support for the DigitalData.Core.Infrastructure module. It includes mapping configurations and abstractions used for object-to-object mapping within the infrastructure layer.</Description>
    <Copyright>Copyright 2024</Copyright>
    <PackageIcon>core_icon.png</PackageIcon>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
    <RepositoryType>digital data core abstractions clean architecture mapping</RepositoryType>
    <PackageTags>digital data core infrastructure clean architecture mapping</PackageTags>
    <AssemblyVersion>1.0.2</AssemblyVersion>
    <FileVersion>1.0.2</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\..\nuget-package-icons\core_icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>
	
  <ItemGroup>
    <ProjectReference Include="..\DigitalData.Core.Abstractions\DigitalData.Core.Abstractions.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Infrastructure\DigitalData.Core.Infrastructure.csproj" />
  </ItemGroup>

</Project>
